Skip to main content
GET
/
trending
Get trending debates
curl --request GET \
  --url https://api.trythinkbase.com/v1/trending \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "Should the United States ban TikTok over national security concerns?",
      "slug": "should-the-us-ban-tiktok",
      "status": "open",
      "total_predictions": 142,
      "options": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "text": "Yes",
          "vote_percentage": 62.5,
          "predictor_count": 89,
          "display_order": 0,
          "emoji": "✅"
        }
      ],
      "starts_at": "2023-11-07T05:31:56Z",
      "ends_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "category": "Politics",
      "category_slug": "politics"
    }
  ]
}

Authorizations

X-API-Key
string
header
default:your-api-key-here
required

Your Thinkbase API key. Get one at https://platform.trythinkbase.com.

Query Parameters

limit
integer
default:50

Number of results. Maximum depends on your tier.

category
string

Filter by category slug.

Response

List of trending debates (not paginated).

data
object[]